#ifndef PCXLOAD_H
#define PCXLOAD_H

#include "md3tomdl.h"
struct pcx_header 
{
	int8_t manufacturer;
	int8_t version;
	int8_t encoding;
	int8_t bpp;
	int16_t xmin;
	int16_t ymin;
	int16_t xmax;
	int16_t ymax;
	int16_t hdpi;
	int16_t vdpi;
	int8_t colourmap[48];
	int8_t reserved;
	int8_t nplanes;
	int16_t bytesperline;
	int16_t paletteinfo;
	int16_t hscreensize;
	int16_t vscreensize;
	int8_t filler[54];
};

struct skin
{
	int32_t width;
	int32_t height;
	char* skindata;
	skin();
	~skin();
};
bool loadskin(std::ifstream &pcxfile, skin &modelskin);
#endif